# Dotfiles

## Submodules

- [Dotfiles/Template](https://git.euph.dev/Snoweuph/Dotfiles_template)
- [Dotfiles/nvim](https://git.euph.dev/Snoweuph/Dotfiles_nvim)

## Setup

### Install Dependencies

> [NOTE]
> Parts of the Dotfiles automatic Dependency resolution relies on **dnf** the Fedora package Manager.
> This is why only **dnf** is listed here.

```sh
sudo dnf install -y curl wget tar unzip gzip git make just fzf
```

### Install

> [CAUTION]
> This is a **destructive installation** and will **overwrite** existing conflicting files.

```sh
cd ~ && \
git init -b neo && \
git remote add origin https://git.euph.dev/Snoweuph/Dotfiles.git && \
git fetch --all && \
git reset --hard origin/neo && \
git submodule update --init --recursive
```